Skip to main content
Setup / Reference Data

Add Variant Standard Equipment

This method requires the ReferenceData:Create permission be associated with your role

POST
/gb/setup/reference/data/qt_variant_standard_equipment
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/json

JSON payload

standard_equipment_idstringrequired
Example: 123456
variant_idstringrequired
Example: 123456

Response

application/vnd.catch-e-api.v1+json

Success

descriptionstring
standard_equipment_idstringrequired
Example: 123456
variant_idstringrequired
Example: 123456